a,
a:hover,
a:focus {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}


/* ---------------------------------------------------
    OFFCANVAS ESSENTIALS
----------------------------------------------------- */

.offcanvas-start {
  width: 250px;
}

/* Desktop view */
@media (min-width: 576px) {
  .container {
    padding-left: 250px;
    margin-left: inherit;
  }
  
  #sidebarCollapse {
    display: none;
  }
  
  .offcanvas-backdrop {
    display: none;
  }
}


/* ---------------------------------------------------
    MENU TOGGLE BUTTON ANIMATIONS
----------------------------------------------------- */

#sidebarCollapse {
  width: 40px;
  height: 40px;
  position: relative;
  margin: auto;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .5s ease-in-out;
  -moz-transition: .5s ease-in-out;
  -o-transition: .5s ease-in-out;
  transition: .5s ease-in-out;
  cursor: pointer;
  background: none;
  box-shadow: none;
  outline: none !important;
  border: none;
}

#sidebarCollapse span {
  display: block;
  position: absolute;
  height: 5px;
  width: 100%;
  background: #000;
  border-radius: 5px;
  opacity: 1;
  left: 0;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .25s ease-in-out;
  -moz-transition: .25s ease-in-out;
  -o-transition: .25s ease-in-out;
  transition: .25s ease-in-out;
}

#sidebarCollapse span:nth-child(1) {
  top: 0px;
  
}

#sidebarCollapse span:nth-child(2),
#sidebarCollapse span:nth-child(3) {
  top: 15px;
}

#sidebarCollapse span:nth-child(4) {
  top: 30px;
}

#sidebarCollapse.active span:nth-child(1) {
  top: 15px;
  width: 0%;
  left: 50%;
}

#sidebarCollapse.active span:nth-child(2) {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
}

#sidebarCollapse.active span:nth-child(3) {
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

#sidebarCollapse.active span:nth-child(4) {
  top: 15px;
  width: 0%;
  left: 50%;
}


/* ---------------------------------------------------
    SIDEBAR STYLES
----------------------------------------------------- */

.bi {
  vertical-align: -.125em;
  pointer-events: none;
  fill: currentColor;
}

.btn-toggle {
  display: inline-flex;
  align-items: center;
  padding: .25rem .5rem;
  font-weight: 600;
  color: rgba(0, 0, 0, .65); 
  background-color: transparent;
  border: 0;
}
.btn-toggle:hover,
.btn-toggle:focus {
  color: rgba(0, 0, 0, .85);
  background-color: #e5e5e5;
}

.btn-toggle::before {
  width: 1.25em;
  line-height: 0;
  content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
  transition: transform .35s ease;
  transform-origin: .5em 50%;
}

.btn-toggle[aria-expanded="true"] {
  color: rgba(0, 0, 0, .85);
}
.btn-toggle[aria-expanded="true"]::before {
  transform: rotate(90deg);
}

.btn-toggle-nav a {
  display: inline-flex;
  padding: .1875rem .5rem;
  margin-top: .125rem;
  margin-left: 1.25rem;
  text-decoration: none;
}
.btn-toggle-nav a:hover,
.btn-toggle-nav a:focus {
  background-color: #e5e5e5;
}
.btn-toggle-nav a.active {
  font-weight: bold;
}


/* ---------------------------------------------------
    OPTIONAL NAVBAR HEADER THEME
----------------------------------------------------- */


h3{
  color: blue; font-weight: bold;
  padding: 4px;
  background-color: #f58323;
}


.btn, .btn-primary{
  background-color: #f58323 !important;
}

sup{
  color: darkred;
  margin: 4px;
}


